Page MenuHomeVyOS Platform

PIM op-mode commands
Closed, ResolvedPublic

Description

Create XML with multicast/PIM/IGMP op-mode commands

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Feature (new functionality)

Event Timeline

Dmitry changed the task status from Open to In progress.Mar 24 2020, 1:48 PM
Dmitry reassigned this task from Dmitry to Viacheslav.
Dmitry triaged this task as Wishlist priority.
Dmitry created this task.
Viacheslav changed the task status from In progress to Needs testing.EditedMar 26 2020, 4:10 PM

PR273

Add show commands for multicast/igmp/pim

$ show ip igmp 
Possible completions:
  groups        IGMP groups information
  interfaces    IGMP interfaces information
  join          IGMP static join information
  sources       IGMP sources information
  statistics    IGMP statistics

$ show ip pim 
Possible completions:
  interfaces    PIM interfaces information
  join          PIM join information
  neighbor      PIM neighbor information
  nexthop       PIM cached nexthop rpf information
  rp            PIM RP (Rendevous Point) information
  rpf           PIM cached source rpf information
  state         PIM state information
  statistics    PIM statistics
  upstream      PIM upstream information

PR https://github.com/vyos/vyos-1x/pull/297

Add commands for clear:

sever@roll01:~$ clear ip igmp interfaces
sever@roll01:~$ clear ip multicast route

Commands were rewritten to:

$ reset ip igmp interfaces
$ reset ip multicast route
erkin set Issue type to Feature (new functionality).Aug 31 2021, 5:13 PM
erkin removed a subscriber: Active contributors.